#
# spec file for package SDL_Pango
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           SDL_Pango
%define lname	libSDL_Pango1
Version:        0.1.2
Release:        243.3
Summary:        Programming Pango via SDL
License:        LGPL-2.1+
Group:          Development/Libraries/X11
Url:            http://sdlpango.sourceforge.net/

#CVS-Clone:	-d:pserver:anonymous@sdlpango.cvs.sourceforge.net:/cvsroot/sdlpango co -P SDL_Pango
Source:         %{name}-%{version}.tar.bz2
Source2:        baselibs.conf
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch0:         %{name}-%{version}-API-adds.patch
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(sdl)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Pango is the text rendering engine of GNOME 2.x. SDL_Pango connects the
engine to SDL.

%package -n %lname
Summary:        Programming Pango via SDL
Group:          System/Libraries
Provides:       SDL_Pango = %{version}
Obsoletes:      SDL_Pango <= %{version}

%description -n %lname
Pango is the text rendering engine of GNOME 2.x. SDL_Pango connects the
engine to SDL.

%package -n libSDL_Pango-devel
Summary:        Include Files and Libraries for SDL_Pango development
Group:          Development/Libraries/X11
Requires:       %lname = %version
Requires:       libSDL-devel
Requires:       pkgconfig
Provides:       SDL_Pango-devel = %{version}
Obsoletes:      SDL_Pango-devel <= %{version}

%description -n libSDL_Pango-devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%prep
%setup -q
%patch0

%build
autoreconf -fiv
%configure --disable-static --with-pic
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f %{buildroot}%{_libdir}/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/libSDL_Pango.so.*

%files -n libSDL_Pango-devel
%defattr(-,root,root)
%{_includedir}/SDL_Pango.h
%{_libdir}/pkgconfig/SDL_Pango.pc
%{_libdir}/libSDL_Pango.so

%changelog
* Thu Jan  8 2015 jengelh@inai.de
- Use pkgconfig() symbols for pulling in BuildRequires
* Thu Jan 30 2014 jengelh@inai.de
- Some metadata spruce-up: add current URLs, softer wildcarding
  in the files list, more robust make install call
* Mon Nov 11 2013 jengelh@inai.de
- Set RPM groups to the same values as on the main SDL packages
* Wed Apr 17 2013 dimstar@opensuse.org
- Add libtool BuildRequires and call to autoreconf: even though we
  don't have any patches, we need to bootstrap, as the ancient
  ./libtool in the tarball (version 1.5) fails to work on recent
  Builders, resulting in linker errors.
* Thu Jan  3 2013 crrodriguez@opensuse.org
- Remove fontconfig-devel freetype2-devel which are not
  really BuildRequired.
* Fri Sep 16 2011 jengelh@medozas.de
- Add libSDL_Pango-devel to baselibs
- Remove reundant tags/ssections
* Sat Jul  2 2011 jengelh@medozas.de
- Use %%_smp_mflags for parallel building
- Strip %%clean section (not needed on BS)
* Wed Jan 27 2010 jengelh@medozas.de
- package baselibs.conf
* Wed Oct  7 2009 prusnak@suse.cz
- fix provides and obsoletes [bnc#544957]
* Wed Jun  3 2009 coolo@novell.com
- fix requires of devel package
* Wed May 20 2009 prusnak@suse.cz
- follow Shared Library Policy
* Thu Jun 26 2008 crrodriguez@suse.de
- disable unusable static libraries
- SDL_Pango-devel should require SDL-devel
* Thu Dec 27 2007 crrodriguez@suse.de
- fix library-without-ldconfig-* errors
* Sun Oct 29 2006 sndirsch@suse.de
- created package
